<ng-container *transloco="let t">
  <!-- <h2 mat-dialog-title>{{t('registration.'+data.type)}}</h2> -->
  <mat-dialog-content class="mat-typography">
    <ng-container *ngIf="data.type === 'tos'">
      <common-ui-terms-of-use [lang]="(lang|ngrxPush)"></common-ui-terms-of-use>
    </ng-container>
    <ng-container *ngIf="data.type === 'privacy'">
      <common-ui-data-privacy [lang]="(lang|ngrxPush)"></common-ui-data-privacy>
    </ng-container>
    <ng-container *ngIf="data.type === 'imprint'">
      <common-ui-imprint [lang]="(lang|ngrxPush)"></common-ui-imprint>
    </ng-container>
  </mat-dialog-content>
  <mat-dialog-actions
    align="end"
    *ngIf="data.confirmType === 'accept'">
    <button
      mat-flat-button
      mat-dialog-close>
      {{t('registration.cancel_button')}}
    </button>
    <button
      mat-flat-button
      color="primary"
      [mat-dialog-close]="true"
      cdkFocusInitial>
      {{t('registration.accept_button')}}
    </button>
  </mat-dialog-actions>
  <mat-dialog-actions
    align="end"
    *ngIf="data.confirmType === 'ok'">
    <button
      mat-flat-button
      color="primary"
      mat-dialog-close>
      {{t('registration.close_button')}}
    </button>
  </mat-dialog-actions>
</ng-container>
